Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Variables
access.hpp File Reference

## Classes
struct | ranges::is_indirectly_movable< I, O >
struct | ranges::is_indirectly_swappable< T, U >
struct | ranges::is_nothrow_indirectly_movable< I, O >
struct | ranges::is_nothrow_indirectly_swappable< T, U >

## Typedefs
template<typename R >
using | ranges::iter_reference_t = detail::iter_reference_t_< R >
template<typename R >
using | ranges::iter_value_t = detail::iter_value_t_< uncvref_t< R > >

## Variables
template<typename I , typename O >
constexpr bool | ranges::is_indirectly_movable_v
template<typename T , typename U >
constexpr bool | ranges::is_indirectly_swappable_v
template<typename I , typename O >
constexpr bool | ranges::is_nothrow_indirectly_movable_v
template<typename T , typename U >
constexpr bool | ranges::is_nothrow_indirectly_swappable_v
constexpr _iter_move_::fn | ranges::iter_move {}
constexpr _iter_swap_::fn | iter_swap {}